TimerBase Class Referenceabstract

Base class for timers. More...

Inheritance diagram for TimerBase:

## Public Types

enum | Unit { SECONDS = 0, MILLISECONDS, MICROSECONDS, NANOSECONDS }

## Public Member Functions

| TimerBase (Unit unit, bool stuckAtZero)
virtual TimerWord | GetCurrentTimerValue ()=0
virtual TimerWord | TicksPerSecond ()=0
void | StartTimer ()
double | ElapsedTimeAsDouble ()
unsigned long | ElapsedTime ()

## Detailed Description

Base class for timers.

Definition at line 20 of file hrtimer.h.

The documentation for this class was generated from the following files:

- hrtimer.h
- hrtimer.cpp